Skip to main content
`Ctrl`+`K`

# DMPlexVecView1D

Plot many 1D solutions on the same line graph

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecView1D(DM dm, PetscInt n, Vec u[], PetscViewer viewer)

Collective

## Input Parameters

- dm - The `DMPLEX` object

- n - The number of vectors

- u - The array of local vectors

- viewer - The `PetscViewer`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `VecViewFromOptions()`, `VecView()`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

## Examples

src/snes/tutorials/ex36.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages